/**
 * Copyright (c) 2018 人人开源 All rights reserved.
 *
 * https://www.renren.io
 *
 * 版权所有，侵权必究！
 */

package io.renren.service.impl;

import io.renren.common.service.impl.BaseServiceImpl;
import io.renren.dao.CarDao;
import io.renren.entity.CarEntity;
import io.renren.service.CarService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CarServiceImpl extends BaseServiceImpl<CarDao, CarEntity> implements CarService {

	@Override
	public CarEntity getCarById(Long id) {
		return baseDao.getCarById(id);
	}

	@Override
	public List<CarEntity> selectCarList(CarEntity car)
	{
		return baseDao.selectCarList(car);
	}

	@Override
	public int insertCar(CarEntity car)
	{
		return baseDao.insertCar(car);
	}

	@Override
	public int updateCar(CarEntity car) {
		return baseDao.updateCar(car);
	}

	@Override
	public int deleteCarById(Long id) {
		return baseDao.deleteCarById(id);

	}


}
